Cabecera-v2-web.jpg

Vulnerabilidades de riesgo alto y medio en el software Bluetooth del kernel de Linux “BleedingTooth”


Fecha: 23/10/2020

Investigadores de seguridad de Google han alertado sobre vulnerabilidades de riesgo alto y medio llamadas colectivamente “BleedingTooth” que residen en la pila del protocolo de código libre BlueZ del kernel de Linux. La explotación exitosa de estos fallos permitiría a un atacante adyacente a la red no autenticado ejecutar código con privilegios del kernel en sistemas afectados, realizar ataques de denegación de servicios (DoS) u obtener información sobre la pila del kernel.

BlueZ, es una pila de protocolo que ofrece soporte para muchas de las capas y protocolos principales de Bluetooth en sistemas basados en Linux, como computadoras portátiles y dispositivos IoT (Internet of Things).

A continuación se describen las vulnerabilidades descubiertas:

El CVE-2020-12351 de riesgo alto, trata de una vulnerabilidad de tipo Heap-based Type Confusion que afecta a las versiones 4.8 y posteriores del kernel de Linux (no afecta a las versiones 5.9 y posteriores). Este fallo reside en el protocolo L2CAP (Logical Link Control and Adaptation Protocol) encargado de proporcionar la multiplexación de datos entre diferentes protocolos de capas superiores. Un atacante adyacente a la red y con conocimiento de la dirección del dispositivo de la víctima, podría enviar un paquete L2CAP malicioso llevando a un ataque de denegación de servicios (DoS) o la ejecución de código arbitrario con privilegios de kernel.

Cabe recalcar que, para la explotación exitosa de esta vulnerabilidad no es necesaria la interacción de la víctima. Una prueba de concepto (PoC) de la explotación de esta vulnerabilidad ha sido publicada, para visualizarla diríjase al siguiente enlace de YouTube.

Por otro lado, fueron también abordadas 2 vulnerabilidades de riesgo medio:

El CVE-2020-12352, trata de una vulnerabilidad de divulgación de información que afecta al kernel de Linux en versiones 3.6 y posteriores. La explotación exitosa permitiría a un atacante adyacente a la red no autenticado obtener información de la pila del kernel y utilizarla para predecir el diseño de la memoria, esto con el fin de poder anular la aleatorización del diseño de espacio de direcciones (KASLR).

El CVE-2020-24490, trata de una vulnerabilidad de tipo Heap-based buffer overflow que reside en la interfaz de Bluetooth estandarizada HCI (Host Controller Interface) de las versiones 4.19 y posteriores del kernel de Linux. La explotación exitosa de este fallo permitiría a un atacante adyacente a la red realizar ataques de denegación de servicios (DoS) o ejecutar código arbitrario con privilegios de kernel, si el dispositivo de la víctima cuenta con chips Bluetooth 5 y se encuentran en modo de escaneo.

Recomendaciones:

Referencias:


pie.png

CERT-PY | Centro de Respuestas a Incidentes Cibernéticos
Ministerio de Tecnologí­as de la Información y Comunicación (MITIC)

Avda. Gral. Santos c/ Concordia | Telefono: (595 21) 217-9000
República del Paraguay

80x15.png

Versión del Template 1.11